##########################################################################
#                                                                        #
#           (C) Kerio Technologies Inc. All rights reserved.             #
#                                                                        #
##########################################################################

from distutils.core import setup
import py2app

py2app_options = dict(
	iconfile="app.icns",
)	

setup(
	app=["KMSInstaller.py"],
	data_files=["English.lproj", 
		"DSLDAPv3PlugInMappings.plist",
		"dialog.tiff",
		"homePath",
		"configure.py",
		"configure_include.py"
		],
	options=dict(
		py2app=py2app_options,
	),
)
