<?php
class DomainManager extends ManagerParent { 
protected $x_n = array( 
'get' => array ( 
'domainList' => 'out', 
'totalItems' => 'out', 
'query' => 'array' 
), 
'create' => array ( 
'result' => 'out', 
'domainList' => 'array' 
), 
'set' => array ( 
'result' => 'out', 
'domainIds' => 'array', 
'domainDetails' => 'array' 
), 
'remove' => array ( 
'result' => 'out', 
'domainList' => 'array' 
), 
'getMyDomain' => array ( 
'domain' => 'out' 
), 
'getSettings' => array ( 
'setting' => 'out' 
), 
'setSettings' => array ( 
'setting' => 'array' 
), 
'testDomainController' => array ( 
'service' => 'array', 
'domainId' => 'string' 
), 
'saveLogo' => array ( 
'result' => 'out', 
'logoUrl' => 'out', 
'tmpFileName' => 'string', 
'id' => 'string' 
) 
); 
protected $x_1b = array('entityName' => KMS_EntityDomain, 
'tuples' => array( 
array('name' => Kerio_Web_DomainName, 'kind' => Kerio_Web_Regex, 'values' => array('/^[-a-zA-Z0-9]+(\.[-a-zA-Z0-9]+)*$/')) 
) 
); 
protected $x_15u = array('id', 'name', 'description', 'isPrimary', 'userCount', 'userMaxCount', 'outgoingMessageLimit', 'deletedItems', 'junkEmail', 
'keepForRecovery', 'aliasList', 'forwardingOptions', 'service', 'domainFooter', 'footerText', 'kerberosRealm', 
'winNtName', 'isDomainBinded', 'ipAddressBind', 'logo'); 
public function get(& $x_15v, & $x_15h, $x_15i) { 
$x_15w = kerio('KMS::DomainManager'); 
if (!is_array($x_15i['fields'])) { 
kerio_log(KMS_LOG_DEBUG, __FILE__ . ':' . __FUNCTION__ . ':' . __LINE__ . ':' . "Invalid fields\n"); 
return false; 
} 
$x_1i = array_intersect($x_15i['fields'], $this->x_15u); 
$x_11 = $x_15w->get(& $x_15v, & $x_15h, $x_15i); 
if ($x_11) { 
$this->x_1g(& $x_15v, $x_1i); 
return true; 
} 
return false; 
} 
public function create(& $x_11, $x_15v) { 
if (empty($x_15v) || (!is_array($x_15v))) { 
kerio_log(KMS_LOG_ERROR, __FILE__ . ':' . __LINE__ . ':' . 'Call create on empty compulsory parameters.'); 
return false; 
} 
$x_15w = kerio('KMS::DomainManager'); 
$x_15x = $x_15w->create(& $x_11, $x_15v); 
return $x_15x; 
} 
public function set(& $x_11, $x_15y, $x_15z) { 
if (empty($x_15y) || (!is_array($x_15y)) || empty($x_15z) || (!is_array($x_15z))) { 
kerio_log(KMS_LOG_ERROR, __FILE__ . ':' . __LINE__ . ':' . 'Call set on empty compulsory parameters.'); 
return false; 
} 
$x_15w = kerio('KMS::DomainManager'); 
$x_160 = $x_15w->set(& $x_11, $x_15y, $x_15z); 
return $x_160; 
} 
public function remove(& $x_11, $x_15v) { 
if (empty($x_15v) || (!is_array($x_15v))) { 
kerio_log(KMS_LOG_ERROR, __FILE__ . ':' . __LINE__ . ':' . 'Call remove on empty compulsory parameters.'); 
return false; 
} 
$x_15w = kerio('KMS::DomainManager'); 
$x_161 = $x_15w->remove(& $x_11, $x_15v); 
return $x_161; 
} 
public function getMyDomain(& $x_o4) { 
$x_15w = kerio('KMS::DomainManager'); 
$x_11 = $x_15w->getMyDomain(& $x_o4); 
return $x_11; 
} 
public function getSettings(& $x_162) { 
$x_15w = kerio('KMS::DomainManager'); 
$x_11 = $x_15w->getSettings(& $x_162); 
return $x_11; 
} 
public function setSettings($x_162) { 
if (empty($x_162) || (!is_array($x_162))) { 
kerio_log(KMS_LOG_ERROR, __FILE__ . ':' . __LINE__ . ':' . 'Call setSettings on empty compulsory parameters.'); 
return false; 
} 
$x_15w = kerio('KMS::DomainManager'); 
$x_11 = $x_15w->setSettings($x_162); 
return $x_11; 
} 
public function testDomainController($x_163, $x_15j) { 
if (empty($x_163) || (!is_array($x_163)) || empty($x_15j) || (!is_string($x_15j))) { 
kerio_log(KMS_LOG_ERROR, __FILE__ . ':' . __LINE__ . ':' . 'Call testDomainController on empty compulsory parameters.'); 
return false; 
} 
$x_15w = kerio('KMS::DomainManager'); 
$x_11 = $x_15w->testDomainController($x_163, $x_15j); 
return $x_11; 
} 
public function saveLogo(& $x_11, & $x_164, $x_165, $x_166) { 
if (empty($x_166) || !is_string($x_166) || empty($x_165) || !is_string($x_165)) { 
kerio_log(KMS_LOG_ERROR, __FILE__ . ':' . __LINE__ . ':' . 'Call saveLogo on empty compulsory parameters.'); 
return false; 
} 
$x_15w = kerio('KMS::DomainManager'); 
$x_167 = $x_15w->saveLogo(& $x_11, & $x_164, $_FILES[$x_165]['tmp_name'], $x_166); 
return $x_167; 
} 
}