<?php
class MailingListManager extends ManagerParent { 
protected $x_n = array( 
'getMlList' => array( 
'mailingLists' => 'out', 
'totalItems' => 'out', 
'query' => 'array', 
'domainId' => 'string' 
), 
'addMls' => array( 
'result' => 'out', 
'mailingLists' => 'array' 
), 
'updateMls' => array( 
'result' => 'out', 
'mlIdList' => 'array', 
'mlistDetails' => 'array', 
'fields' => 'array' 
), 
'deleteMls' => array( 
'result' => 'out', 
'mlIdList' => 'array' 
), 
'getMlUserList' => array( 
'members' => 'out', 
'totalItems' => 'out', 
'query' => 'array', 
'id' => 'string' 
), 
'addMlUsers' => array( 
'result' => 'out', 
'members' => 'array', 
'id' => 'string' 
), 
'deleteMlUsers' => array( 
'result' => 'out', 
'members' => 'array', 
'id' => 'string' 
) 
); 
protected $x_1b = array('entityName'=>KMS_EntityMailingList, 
'tuples' => array(array('name' => Kerio_Web_Name, 'kind' => Kerio_Web_ByteLength, 'values' => array('127')), 
array('name' => Kerio_Web_Name, 'kind' => Kerio_Web_Regex, 'values' => array('/^[-a-zA-Z0-9_]+(\.[-a-zA-Z0-9_]+)*$/')), 
array('name' => Kerio_Web_Name, 'kind' => Kerio_Web_ForbiddenNameList, 'values' => array('settings.usr', 'stats.usr', 'filter.siv', 'filter.siv.new', 
'sub.fld', 'vacation.adr', 'deleted.fld', 'index.fld', 'properties.fld', 'search.fld', 'sort.fld', 'status.fld', 'sync.fld', 
'acl.fld', '#msgs', '#assoc', '#sync')), 
array('name' => Kerio_Web_Name, 'kind' => Kerio_Web_ForbiddenPrefixList, 'values' => array('con', 'prn', 'aux', 'nul', 'com1', 'com2', 'com3', 'com4', 'com5', 
'com6', 'com7', 'com8', 'com9', 'lpt1', 'lpt2', 'lpt3', 'lpt4', 'lpt5', 'lpt6', 'lpt7', 'lpt8', 'lpt9')), 
array('name' => Kerio_Web_Name, 'kind' => Kerio_Web_ForbiddenSuffixList, 'values' => array('-sc', '-uc', '-return', '-subscribe', '-unsubscribe', '-errors', 
'-bounce', '-owners', '-owner', '-help', '-reqaccept', '-reqdeny')), 
array('name' => Kerio_Web_Description, 'kind' => Kerio_Web_ByteLength, 'values' => array('255')), 
array('name' => Kerio_Web_Email, 'kind' => Kerio_Web_Regex, 'values' => array('/^[-a-zA-Z0-9_!=\+]+(\.[-a-zA-Z0-9_!=\+]+)*@[-a-zA-Z0-9_]+(\.[-a-zA-Z0-9_]+)*$/')), 
array('name' => Kerio_Web_Email, 'kind' => Kerio_Web_ByteLength, 'values' => array('255')), 
array('name' => Kerio_Web_FullName, 'kind' => Kerio_Web_ForbiddenCharacterList, 'values' => array('@', '<', '>')), 
array('name' => Kerio_Web_FullName, 'kind' => Kerio_Web_ByteLength, 'values' => array('127'))) 
); 
private $x_16r = array('id', 'domainGuid', 'name', 'description', 'languageGuid', 'welcomeString', 'footerString', 
'subscription', 'posting', 'replyTo', 'otherAddress', 'subjectPrefix', 'hideSenderAddress', 'allowEmptySubject', 'archive'); 
private $x_16s = array('hasId', 'userId', 'emailAddress', 'fullName', 'kind'); 
public function getMlList(& $x_16t, & $x_15h, $x_15i, $x_15j) { 
if (empty($x_15j) || (!is_array($x_15i))) { 
kerio_log(KMS_LOG_DEBUG, __FILE__ . ':' . __FUNCTION__ . ':' . __LINE__ . ':' . "Invalid input for getMlList\n"); 
} 
$x_15w = kerio('KMS::MailingListManager'); 
$x_11 = $x_15w->getMlList(& $x_16t, & $x_15h, $x_15i, $x_15j); 
$x_1i = array_values(array_intersect($x_15i['fields'], $this->x_16r)); 
$this->x_1g(&$x_16h, $x_1i); 
return $x_11; 
} 
public function addMls(& $x_11, $x_16t) { 
if (empty($x_16t) || (!is_array($x_16t))) { 
kerio_log(KMS_LOG_DEBUG, __FILE__ . ':' . __FUNCTION__ . ':' . __LINE__ . ':' . "Invalid input\n" . print_r($x_16t, true)); 
return false; 
} 
$x_15w = kerio('KMS::MailingListManager'); 
$x_16d = $x_15w->addMls(& $x_11, $x_16t); 
return $x_16d; 
} 
public function updateMls(& $x_11, $x_16u, $x_16v, $x_1i){ 
if (empty($x_16u) || (!is_array($x_16u))) { 
kerio_log(KMS_LOG_DEBUG, __FILE__ . ':' . __FUNCTION__ . ':' . __LINE__ . ':' . "Invalid input\n" . print_r($x_16u, true)); 
return false; 
} 
$x_15w = kerio('KMS::MailingListManager'); 
$x_16g = $x_15w->updateMls(&$x_11, $x_16u, $x_16v, $x_1i); 
return $x_16g; 
} 
public function deleteMls(& $x_11, $x_16u) { 
if (empty($x_16u) || (!is_array($x_16u))) { 
kerio_log(KMS_LOG_DEBUG, __FILE__ . ':' . __FUNCTION__ . ':' . __LINE__ . ':' . "Invalid input\n" . print_r($x_16u, true)); 
return false; 
} 
$x_15w = kerio('KMS::MailingListManager'); 
$x_15o = $x_15w->deleteMls(& $x_11, $x_16u); 
return $x_15o; 
} 
public function getMlUserList(& $x_16w, & $x_15h, $x_15i, $x_166) 
{ 
if (empty($x_166) || (!is_array($x_15i) || empty($x_15i))) { 
kerio_log(KMS_LOG_DEBUG, __FILE__ . ':' . __FUNCTION__ . ':' . __LINE__ . ':' . "Invalid input\n"); 
return false; 
} 
$x_15w = kerio('KMS::MailingListManager'); 
$x_11 = $x_15w->getMlUserList(& $x_16w, & $x_15h, $x_15i, $x_166); 
if ($x_11) { 
$x_1i = array_values(array_intersect($x_15i['fields'], $this->x_16s)); 
$this->x_1g(& $x_16w, $x_1i); 
return true; 
} else { 
return false; 
} 
} 
public function addMlUsers(& $x_11, $x_16w, $x_166) 
{ 
if (empty($x_166) || (!is_array($x_16w) || empty($x_16w))) { 
kerio_log(KMS_LOG_DEBUG, __FILE__ . ':' . __FUNCTION__ . ':' . __LINE__ . ':' . "Invalid input\n"); 
return false; 
} 
$x_15w = kerio('KMS::MailingListManager'); 
$x_16d = $x_15w->addMlUsers(& $x_11, $x_16w, $x_166); 
return $x_16d; 
} 
public function deleteMlUsers(& $x_11, $x_16w, $x_166) 
{ 
if (empty($x_166) || (!is_array($x_16w) || empty($x_16w))) { 
kerio_log(KMS_LOG_DEBUG, __FILE__ . ':' . __FUNCTION__ . ':' . __LINE__ . ':' . "Invalid input\n"); 
return false; 
} 
$x_15w = kerio('KMS::MailingListManager'); 
$x_15o = $x_15w->deleteMlUsers(& $x_11, $x_16w, $x_166); 
return $x_15o; 
} 
} 
