<?php
class ResourceManager extends ManagerParent{ 
protected $x_n = array( 
'getResourceList' => array( 
'resourceBunch' => 'out', 
'totalItems' => 'out', 
'query' => 'array', 
'domainId' => 'string' 
), 
'addResources' => array( 
'result'=>'out', 
'resourceBunch' => 'array' 
), 
'updateResources' => array( 
'result' => 'out', 
'resourceIds' => 'array', 
'resourceDetail' => 'array', 
'fields' => 'array' 
), 
'deleteResources' => array( 
'result' => 'out', 
'resourceList' => 'array' 
), 
'getPrincipalList' => array( 
'principals' => 'out', 
'totalItems' => 'out', 
'query' => 'array', 
'domainId' => 'string' 
), 
); 
protected $x_1b = array('entityName'=>KMS_EntityResource, 
'tuples' => array(array('name' => Kerio_Web_Name, 'kind' => Kerio_Web_ByteLength, 'values' => array('127')), 
array('name' => Kerio_Web_Name, 'kind' => Kerio_Web_Regex, 'values' => array('/^[-a-zA-Z0-9_]+(\.[-a-zA-Z0-9_]+)*$/')), 
array('name' => Kerio_Web_Name, 'kind' => Kerio_Web_ForbiddenNameList, 'values' => array('settings.usr', 'stats.usr', 'filter.siv', 'filter.siv.new', 'sub.fld', 
'vacation.adr', 'deleted.fld', 'index.fld', 'properties.fld', 'search.fld', 'sort.fld', 'status.fld', 'sync.fld', 'acl.fld', 
'#msgs', '#assoc', '#sync')), 
array('name' => Kerio_Web_Name, 'kind' => Kerio_Web_ForbiddenPrefixList, 'values' => array('con', 'prn', 'aux', 'nul', 'com1', 'com2', 'com3', 'com4', 'com5', 
'com6', 'com7', 'com8', 'com9', 'lpt1', 'lpt2', 'lpt3', 'lpt4', 'lpt5', 'lpt6', 'lpt7', 'lpt8', 'lpt9')), 
array('name' => Kerio_Web_Description, 'kind' => Kerio_Web_ByteLength, 'values' => array('511'))) 
); 
protected $x_16x = array('id', 'domainId', 'name', 'description', 'type', 'isEnabled', 'resourceUsers', 'manager'); 
protected $x_16y = array('type', 'id', 'name', 'fullName', 'description', 'isEnabled', 'itemSource'); 
public function getResourceList(& $x_16z, & $x_15h, $x_15i, $x_15j) { 
$x_1i = $x_15i['fields']; 
$x_170 = kerio('KMS::ResourceManager'); 
$this->x_1g(& $x_1i, $this->x_16x); 
$x_11 = $x_170->getResourceList(& $x_16z, & $x_15h, $x_15i, $x_15j); 
if (false === $x_11) { 
return false; 
} 
if (is_array($x_16z)) { 
$this->x_1g(& $x_16z, $x_1i); 
} 
return true; 
} 
public function addResources(& $x_11, $x_16z){ 
if (empty($x_16z)) { 
kerio_log(KMS_LOG_ERROR, __FILE__ . ':' . __LINE__ . ':' . 'Call addResources on empty resource list.'); 
return false; 
} 
$x_170 = kerio('KMS::ResourceManager'); 
foreach($x_16z as $x_171) { 
$this->x_1g(& $x_171, $this->x_16x); 
$x_172[] = $x_171; 
} 
$x_173 = $x_170->addResources(& $x_11, $x_172); 
return $x_173; 
} 
public function updateResources(& $x_11, $x_174, $x_175, $x_1i) { 
if (empty($x_174)) { 
kerio_log(KMS_LOG_ERROR, __FILE__ . ':' . __LINE__ . ':' . 'Call updateResources on empty list.'); 
return false; 
} 
$x_170 = kerio('KMS::ResourceManager'); 
$this->x_1g(& $x_1i, $this->x_16x); 
$x_173 = $x_170->updateResources(& $x_11, $x_174, $x_175, $x_1i); 
return $x_173; 
} 
public function deleteResources(& $x_11, $x_176) { 
if (empty($x_176)) { 
kerio_log(KMS_LOG_ERROR, __FILE__ . ':' . __LINE__ . ':' . 'Call deleteResources on empty list.'); 
return false; 
} 
$x_170 = kerio('KMS::ResourceManager'); 
$x_173 = $x_170->deleteResources(& $x_11, $x_176); 
return $x_173; 
} 
public function getPrincipalList(& $x_177, & $x_15h, $x_15i, $x_15j) { 
$x_170 = kerio('KMS::ResourceManager'); 
$x_11 = $x_170->getPrincipalList(& $x_177, & $x_15h, $x_15i, $x_15j); 
if ($x_11) { 
$this->x_1g(& $x_177, $this->x_16y); 
return true; 
} 
return false; 
} 
} 
?>
