<?php
class UserManager extends ManagerParent { 
protected $x_n = array( 
'getContactPublicFolderList' => array( 
'publicFolderList' => 'out', 
'domainId' => 'string' 
), 
'getUserList' => array( 
'userList' => 'out', 
'totalItems' => 'out', 
'query' => 'array', 
'domainId' => 'string', 
), 
'getUserTemplateList' => array( 
'userTemplateList' => 'out', 
'totalItems' => 'out', 
'query' => 'array', 
), 
'addUsers' => array( 
'sortedRow' => 'out', 
'result' => 'out', 
'userDetails' => 'array', 
), 
'updateUsers' => array( 
'result' => 'out', 
'userIdList' => 'array', 
'userDetails' => 'array', 
'fields' => 'array' 
), 
'deleteUsers' => array( 
'result' => 'out', 
'deleteTriad'=> 'array' 
), 
'publishUsers' => array( 
'result' => 'out', 
'userIdList' => 'array', 
'targetFolder' => 'string' 
), 
'whoAmI' => array( 
'userDetails' => 'out', 
), 
'getMySettings' => array( 
'settings' => 'out' 
), 
'setMySettings' => array( 
'settings' => 'array' 
)); 
protected $x_1b = array('entityName'=>KMS_EntityUser, 
'tuples' => array(array('name' => Kerio_Web_Name, 'kind' => Kerio_Web_ByteLength, 'values' => array('127')), 
array('name' => Kerio_Web_Name, 'kind' => Kerio_Web_Regex, 'values' => array('/^[-a-zA-Z0-9_]+(\.[-a-zA-Z0-9_]+)*$/')), 
array('name' => Kerio_Web_Name, 'kind' => Kerio_Web_ForbiddenNameList, 'values' => array('authuser', 'anyone','settings.usr', 'stats.usr', 'filter.siv', 
'filter.siv.new', 'sub.fld', 'vacation.adr', 'deleted.fld', 'index.fld', 'properties.fld', 'search.fld', 'sort.fld', 
'status.fld', 'sync.fld', 'acl.fld', '#msgs', '#assoc', '#sync')), 
array('name' => Kerio_Web_Name, 'kind' => Kerio_Web_ForbiddenPrefixList, 'values' => array('con', 'prn', 'aux', 'nul', 'com1', 'com2', 'com3', 'com4', 'com5', 
'com6', 'com7', 'com8', 'com9', 'lpt1', 'lpt2', 'lpt3', 'lpt4', 'lpt5', 'lpt6', 'lpt7', 'lpt8', 'lpt9')), 
array('name' => Kerio_Web_Description, 'kind' => Kerio_Web_ByteLength, 'values' => array('511')), 
array('name' => Kerio_Web_Email, 'kind' => Kerio_Web_Regex, 'values' => array('/^[-a-zA-Z0-9_!=\+]+(\.[-a-zA-Z0-9_!=\+]+)*@[-a-zA-Z0-9_]+(\.[-a-zA-Z0-9_]+)*$/')), 
array('name' => Kerio_Web_Email, 'kind' => Kerio_Web_ByteLength, 'values' => array('255')), 
array('name' => kerio_web_FullName, 'kind' => kerio_web_ForbiddenCharacterList, 'values' => array('@', '<', '>')), 
array('name' => kerio_web_FullName, 'kind' => kerio_web_ByteLength, 'values' => array('127'))) 
); 
private $x_16r = array('Amy'=>array('getUserList' => array('id', 'loginName', 'fullName', 'description', 'authType', 'itemSource', 'isEnabled', 'isPasswordReversible', 'emailAddresses', 'emailForwarding', 'userGroups', 'roleList', 'itemLimit', 'diskSizeLimit', 'consumedItems', 'consumedSize', 'hasDomainRestriction', 'outMessageLimit', 'effectiveRoleList', 'consumedSizeString', 'publishInGal'), 
'getUserTemplateList' => array('templateName', 'templateDescription', 'authType', 'isPasswordReversible', 'hasDefaultSpamRule', 'roleList', 'domainId', 'emailAddresses', 'userGroups', 'emailForwarding', 'itemLimit', 'diskSizeLimit', 'hasDomainRestriction', 'outMessageLimit', 'publishInGal') 
) 
); 
private $x_189 = array('id', 'loginName', 'fullName', 'description', 'isEnabled', 'itemSource', 'userGroups', 'effectiveRoleList', 'emailForwarding' , 
'domainId', 'itemLimit', 'diskSizeLimit', 'emailAddresses', 'consumedItems', 'consumedSize' , 
'authType', 'lastLoginInfo', 'roleList', 'groupRoleList', 'publishInGal'); 
public function __construct() { 
ini_set('precision', 18); 
} 
public function getParameterPrescript($x_k) { 
return $this->x_n[$x_k]; 
} 
public function getUserList(&$x_16h, &$x_15h, $x_16a, $x_15j) { 
kerio_log(KMS_LOG_DEBUG, 'start getUserList'); 
$x_1i = $x_16a['fields']; 
$x_16h = array(); 
$x_15h = 0; 
$x_15t = kerio('KMS::UserManager'); 
$x_11 = $x_15t->getUserList(&$x_16h, &$x_15h, $x_16a, $x_15j); 
kerio_log(KMS_LOG_DEBUG, 'after getUserList engine call'); 
$this->whoAmI(&$x_18a); 
if (empty($x_18a)) { 
return true; 
} 
kerio_log(KMS_LOG_DEBUG, 'after whoAmI engine call'); 
$x_1i = array_values(array_intersect($x_1i, $this->x_16r['Amy']['getUserList'])); 
$this->x_1g(&$x_16h, $x_1i); 
kerio_log(KMS_LOG_DEBUG, 'after discardRedundantFields call'); 
return $x_11; 
} 
public function getUserTemplateList(&$x_18b, &$x_15h, $x_16a) { 
$x_18c = kerio('KMS::UserManager'); 
$x_1i = $x_16a['fields']; 
if (!is_array($x_1i)) { 
$x_1i = explode(',', $x_1i); 
} 
$x_1i = array_values(array_intersect($x_1i, $this->x_16r['Amy']['getUserTemplateList'])); 
$x_11 = $x_18c->getUserTemplateList(&$x_18b, &$x_15h, $x_16a); 
if ($x_11) { 
$this->x_1g(&$x_18b, $x_1i); 
} 
return $x_11; 
} 
public function deleteUsers(& $x_18d, $x_18e) { 
if (empty($x_18e) || (!is_array($x_18e))) { 
kerio_log(KMS_LOG_DEBUG, __FILE__ . ':' . __FUNCTION__ . ':' . __LINE__ . ':' . "Invalid input for deleteUsers\n"); 
} 
$x_15t = kerio('KMS::UserManager'); 
$x_11 = $x_15t->deleteUsers(& $x_18d, $x_18e); 
return $x_11; 
} 
public function getContactPublicFolderList(&$x_15s, $x_15j) { 
$x_15t = kerio('KMS::UserManager'); 
$result = $x_15t->getContactPublicFolderList(&$x_15s, $x_15j); 
return $result; 
} 
public function addUsers(&$x_18f, &$x_11, $x_18g){ 
$x_15t = kerio('KMS::UserManager'); 
if (empty($x_18g) || (!is_array($x_18g))) { 
return false; 
} 
$x_18h = $x_15t->addUsers(&$x_18f, &$x_11, $x_18g); 
return $x_18h; 
} 
public function updateUsers(&$x_11, $x_18i, $x_18g, $x_1i) { 
$x_15t = kerio('KMS::UserManager'); 
if (empty($x_18g) || (!is_array($x_18g))) { 
kerio_log(KMS_LOG_WARNING, __FILE__ . ':' . __LINE__ . ':' . 'No user details specified!'); 
$x_11[] = self::x_1c($x_18j[0], 'No user details specified - nothing to update.'); 
return false; 
} 
if (empty($x_18i) || (!is_array($x_18i))) { 
kerio_log(KMS_LOG_WARNING, __FILE__ . ':' . __LINE__ . ':' . 'No users specified!'); 
$x_11[] = self::x_1c($x_18j[0], 'No users specified - noone to update.'); 
return false; 
} 
if (empty($x_1i) || (!is_array($x_1i))) { 
kerio_log(KMS_LOG_WARNING, __FILE__ . ':' . __LINE__ . ':' . 'No fields to update!'); 
$x_11[] = self::x_1c($x_18j[0], 'No fields specified - nothing to update.'); 
return false; 
} 
$x_18k = array("fullName","description","password","isEnabled","domain", 
"emailAddresses","emailForwarding", "userGroups", 
"roleList","diskSizeLimit","itemLimit","outMessageLimit", 
"authType","isDefSpamFilterEnabled","hasDomainRestriction", "publishInGal"); 
$x_1i = array_intersect($x_1i, $x_18k); 
$x_18l = $x_15t->updateUsers(&$x_11, $x_18i, $x_18g, $x_1i); 
return $x_18l; 
} 
public function whoAmI(&$x_18a) { 
$x_ny = kerio('KMS::UserManager'); 
$x_11 = $x_ny->whoAmI(&$x_18a); 
return $x_11; 
} 
public function getMySettings(&$x_o0) { 
$x_ny = kerio('KMS::UserManager'); 
if (false === $x_ny->getMySettings(&$x_18m)) { 
return false; 
} else { 
$x_18n = unserialize($x_18m); 
if (isset($x_18n['adminLang'])) { 
$x_o0['language'] = $x_18n['adminLang']; 
} 
if (isset($x_18m['errorReport'])) { 
$x_o0['isWebAssistOn'] = $x_18n['errorReport']; 
} else { 
$x_o0['isWebAssistOn'] = true; 
} 
} 
return true; 
} 
public function setMySettings($x_18o) { 
$x_18p = array('language' => 'adminLang', 'isWebAssistOn' => 'errorReport'); 
$x_ny = kerio('KMS::UserManager'); 
$x_11 = $x_ny->getMySettings(& $x_18n); 
if (false === $x_11) { 
return false; 
} 
$x_o0 = unserialize($x_18n); 
$x_18q = 0; 
foreach ($x_18p as $x_a => $x_b) { 
if (isset($x_18o[$x_a])) { 
$x_o0[$x_b] = $x_18o[$x_a]; 
$x_18q++; 
} 
} 
if ($x_18q) { 
$x_ny = kerio('KMS::UserManager'); 
$x_18r = serialize($x_o0); 
$x_11 = $x_ny->setMySettings($x_18r); 
return $x_11; 
} 
return false; 
} 
} 
?>
