<?php
define('KMS_Regex', 0); 
define('KMS_ByteLength', 1); 
define('KMS_ForbiddenNameList', 2); 
define('KMS_ForbiddenPrefixList', 3); 
define('KMS_ForbiddenSuffixList', 4); 
define('KMS_ForbiddenCharacterList', 5); 
define('KMS_Name', 0); 
define('KMS_Description', 1); 
define('KMS_Email', 2); 
define('KMS_FullName', 3); 
class x_1m { 
public function x_1n($x_1o, $x_1p, $x_1q) { 
switch ($x_1p) { 
case KMS_ByteLength: 
if (strlen($x_1o) > ((int)$x_1q[0])) { 
Logger::logWrite(ERRORLOG, 'Text is too long: ' . var_export($x_1o, true)); 
return false; 
} else { 
return true; 
} 
break; 
case KMS_Regex: 
if (preg_match($x_1q[0], $x_1o)) { 
return true; 
} else { 
Logger::logWrite(ERRORLOG, 'Item does not match expression '.$x_1q[0].': ' . var_export($x_1o, true)); 
return false; 
} 
break; 
case KMS_ForbiddenNameList: 
if (in_array($x_1o, $x_1q)) { 
Logger::logWrite(ERRORLOG, 'Name is forbidden: ' . var_export($x_1o, true)); 
return false; 
} else { 
return true; 
} 
break; 
case KMS_ForbiddenPrefixList: 
$x_1r = explode('.', $x_1o, 2); 
if (in_array($x_1r[0], $x_1q)) { 
Logger::logWrite(ERRORLOG, 'Part before \'.\' is forbidden: ' . var_export($x_1o, true)); 
return false; 
} else { 
return true; 
} 
break; 
case KMS_ForbiddenSuffixList: 
$x_1s = strrchr($x_1t, '-'); 
if ((false !== $x_1s) && in_array($x_1s, $x_1q)) { 
Logger::logWrite(ERRORLOG, 'Part after \'-\' is forbidden: ' . var_export($x_1o, true)); 
return false; 
} else { 
return true; 
} 
break; 
case KMS_ForbiddenCharacterList: 
foreach ($x_1q as $x_1u) { 
if (false !== strchr($x_1o, $x_1u)) { 
Logger::logWrite(ERRORLOG, 'Contains forbidden character(s): ' . var_export($x_1o, true)); 
return false; 
} 
} 
return true; 
break; 
default: 
Logger::logWrite(ERRORLOG, 'Invalid verification type.' . "\n" . var_export(debug_backtrace(), true)); 
} 
return false; 
} 
public function x_1v($x_1w, $x_1x, $x_1y) { 
foreach ($x_1w as $x_1z) { 
if ($x_1z['name'] == $x_1y) { 
if (empty($x_1x)) { 
continue; 
} 
if (!is_array($x_1x)) { 
$x_20 = array($x_1x); 
} else { 
$x_20 = $x_1x; 
} 
foreach ($x_20 as $x_21){ 
if (false === $this->x_1n($x_21, $x_1z['kind'], $x_1z['values'])) { 
return false; 
} 
} 
} 
} 
return true; 
} 
} 
?>